Bug 89994 - Artsd crashes playing OGG file
Artsd crashes playing OGG file
Product: Red Hat Linux
Classification: Retired
Component: arts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2003-04-30 17:39 EDT by Christopher Wong
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-08 06:06:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Wong 2003-04-30 17:39:50 EDT
From Bugzilla Helper:
User-Agent: Opera/7.10 (Linux 2.4.20-9 i686; U)  [en]

Description of problem:
Attempting to play OGG files with a KDE app causes artsd to crash. For example, 
kaboodle would offer the following messages:

mcop warning: user defined signal handler found for SIG_PIPE, overriding
unix_connect: can't connect to server (unix:

The console would show:

loading extension from '/usr/lib/libartsgslplayobject.la' failed: file not found
MCOP Object manager: Could not load extension libartsgslplayobject.la
MCOP Object manager: can't find implementation for Arts::GSLPlayObject

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enter command: "kaboodle musicfile.ogg"


Actual Results:  artsd dies with segmentation fault

Expected Results:  kaboodle should have played the OGG file.

Additional info: running with ALSA drivers from Freshrpms.net. RH9 system was 
upgraded from RH7.2+extras.
Comment 1 Ngo Than 2003-05-08 06:06:16 EDT
It's fixed in kde-3.1.1a, which you can download from ftp.kde.org.
It should work if you install arts-devel package, as workaround.

Note You need to log in before you can comment on or make changes to this bug.